#define dist FC6
Name:		amaya
Version:	9.54
Release:	1%{?dist}

Summary:	W3C's browser/web authoring tool
Group:		Applications/Internet
Source0:	http://www.w3.org/Amaya/Distribution/amaya-sources-9.54.tgz
Source1:	amaya.png
Patch0: amaya-9.1-configure.diff
Patch2: fix_ftbs64.diff
Patch3: png.diff

License:	W3C Software License
Url:		http://www.w3.org/Amaya
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	freetype-devel >= 2.0
BuildRequires:	desktop-file-utils, gtk+-devel, imlib-devel
BuildRequires:  libpng-devel
BuildRequires:  libXt-devel
# TODO: make it link with the system's libwww. Didn't manage to build with it
# yet. Patches accepted.
#BuildRequires:	w3c-libwww-devel

# Does not build on x86_64, see bug #182512
#ExcludeArch: x86_64

%description
Amaya is a WYSIWYG browser/web authoring tool from the W3C.

This graphical HTML Editor supports many of the latest
draft standards for HTML/XHTML.

%prep
%setup -q -c
cd Amaya9.54/
#%patch0 -p0
%patch2 -p0
%patch3 -p0

%build
mkdir -p Amaya9.54/Amaya/gtk-build
pushd Amaya9.54/Amaya/gtk-build >/dev/null

export CXXFLAGS="$RPM_OPT_FLAGS"
export CFLAGS="$RPM_OPT_FLAGS"
../configure --enable-bookmarks \
             --prefix=%_libdir \
             --bindir=%_bindir \
             --exec_prefix=%_exec_prefix \
             --libdir=%_libdir \
             --disable-annot \
             --with-gtk
             
# annotations cause build to fail
make
popd

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_datadir/pixmaps

pushd Amaya9.54/Amaya/gtk-build >/dev/null
make prefix=${RPM_BUILD_ROOT}%{_libdir} \
 bindir=${RPM_BUILD_ROOT}%{_bindir} \
 exec_prefix=${RPM_BUILD_ROOT}%{_exec_prefix} \
 libdir=${RPM_BUILD_ROOT}%{_libdir} \
 install

# fix up symlinks
pushd ${RPM_BUILD_ROOT}%{_bindir} >/dev/null
rm -f amaya*
amayadir=`ls -d ${RPM_BUILD_ROOT}%{_libdir}/Amaya-*`
ln -s %{_libdir}/`basename $amayadir`/gtk/bin/amaya amaya-gtk
ln -s amaya-gtk amaya
popd >/dev/null

# Menu entry
cat << EOF > %{name}.desktop
[Desktop Entry]
Name=Amaya
Comment=Web authoring tool
Exec=XLIB_SKIP_ARGB_VISUALS=1 amaya
Icon=amaya.png
Terminal=false
Type=Application
Encoding=UTF-8
Categories=Application;Network;Development;
EOF

desktop-file-install --dir $RPM_BUILD_ROOT/%{_datadir}/applications/ \
       --add-category X-Fedora \
       --vendor fedora \
       %{name}.desktop

install -p -m 644 %SOURCE1 $RPM_BUILD_ROOT%_datadir/pixmaps/
popd >/dev/null

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
#%doc Amaya/README* Amaya/amaya/COPYRIGHT*
%_libdir/Amaya*
%_bindir/%name
%_bindir/%name-gtk
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*

%changelog
* Wed Mar 06 2007 Sergio M. B. <sergioatsergiomb.no-ip.org>
- build for 9.54 version on FC6 
- add 2 patches fix_ftbs64.diff png.diff 
- add on Exec of Desktop Entry: XLIB_SKIP_ARGB_VISUALS=1 

* Fri Apr 14 2006 Aurelien Bompard <gauret[AT]free.fr> 9.4-4
- fix buildreqs

* Fri Apr 14 2006 Aurelien Bompard <gauret[AT]free.fr> 9.4-3
- drop conditional build

* Fri Apr 14 2006 Aurelien Bompard <gauret[AT]free.fr> 9.4-2
- fix build on FC-4

* Thu Apr 13 2006 Aurelien Bompard <gauret[AT]free.fr> 9.4-1
- upgrade to 9.5 to fix vulnerability

* Sun Mar 12 2006 Aurelien Bompard <gauret[AT]free.fr> 9.1-12
- fix symlink (bug #184503)

* Wed Feb 22 2006 Aurelien Bompard <gauret[AT]free.fr> 9.1-11
- give up on x86_64 and excludearch it

* Wed Feb 22 2006 Aurelien Bompard <gauret[AT]free.fr> 9.1-10
- next try at the x86_64 patch

* Wed Feb 22 2006 Aurelien Bompard <gauret[AT]free.fr> 9.1-9
- update x86_64 patch again

* Wed Feb 22 2006 Aurelien Bompard <gauret[AT]free.fr> 9.1-8
- update x86_64 patch

* Wed Feb 22 2006 Aurelien Bompard <gauret[AT]free.fr> 9.1-7
- fix dependency on modular X11 again

* Wed Feb 22 2006 Aurelien Bompard <gauret[AT]free.fr> 9.1-6
- fix dependency on modular X11

* Wed Feb 22 2006 Aurelien Bompard <gauret[AT]free.fr> 9.1-5
- rebuild for FC5

* Sun Jun 12 2005 Aurelien Bompard <gauret[AT]free.fr> 9.1-4
- patch one more file

* Sun Jun 12 2005 Aurelien Bompard <gauret[AT]free.fr> 9.1-3
- add patch for pointer/int problem on x86_64

* Mon May 30 2005 Ralf Corsepius <ralf[AT]links2linux.de>
- Fixup symlinks.
- Acknowledge RPM_OPT_FLAGS.
- Remove -D__cplusplus from configure.
- Cleanup installation dirs.

* Mon May 30 2005 Ralf Corsepius <ralf[AT]links2linux.de>
- Build inside of RPM_BUILD_DIR/%%name-%%version.

* Sun May 08 2005 Aurelien Bompard <gauret[AT]free.fr> 9.1-1%{?dist}
- version 9.1
- use disttag
- use fullsrc dist

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Fri Jul 16 2004 Aurelien Bompard <gauret[AT]free.fr> 0:8.5-0.fdr.2
- remove support for smp builds

* Tue May 25 2004 Aurelien Bompard <gauret[AT]free.fr> 8.5-0.fdr.1
- Initial RPM (from Mandrake)
